## swayidle 1.6

=== meson_options.txt ===
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('logind', type: 'feature', value: 'auto', description: 'Enable support for logind')
option('logind-provider', type: 'combo', choices: ['systemd', 'elogind'], value: 'systemd', description: 'Provider of logind support library')
option('zsh-completions', type: 'boolean', value: true, description: 'Install zsh shell completions.')
option('bash-completions', type: 'boolean', value: true, description: 'Install bash shell completions.')
option('fish-completions', type: 'boolean', value: true, description: 'Install fish shell completions.')

## swayidle 1.2

=== debian/changelog ===
swayidle (1.2-2) unstable; urgency=medium

  * Added libsystemd-dev to d/control (Closes: #922464)
  * Add patch to install zsh completion into correct directory

 -- Birger Schacht <birger@rantanplan.org>  Sun, 03 Mar 2019 18:21:42 +0100

swayidle (1.2-1) unstable; urgency=medium

  * Initial packaging (Closes: 921496)

 -- Birger Schacht <birger@rantanplan.org>  Sat, 09 Feb 2019 09:52:49 +0100

=== debian/control ===
Source: swayidle
Section: x11
Priority: optional
Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
Uploaders: Birger Schacht <birger@rantanplan.org>
Build-Depends:
 debhelper-compat (= 12),
 libwayland-dev,
 libsystemd-dev,
 wayland-protocols,
 meson,
 pkgconf,
 scdoc
Standards-Version: 4.3.0
Homepage: https://github.com/swaywm/swayidle
Vcs-Browser: https://salsa.debian.org/bisco-guest/swayidle
Vcs-Git: https://salsa.debian.org/bisco-guest/swayidle.git
Rules-Requires-Root: no

Package: swayidle
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Idle management daemon for Wayland
 This is sway's idle management daemon, swayidle. It is compatible with
 any Wayland compositor which implements the KDE idle protocol. See the
 man page, swayidle(1), for instructions on configuring swayidle.

## swayidle 1.3

=== debian/changelog ===
swayidle (1.3-1) unstable; urgency=medium

  * New upstream release
  * Add patch to fix the version in the meson buildfile
  * d/control: Set versions for build dependencies as specified
    by upstream build file
  * d/gitlab-ci.yml: Add a basic gitlab ci configuration

 -- Birger Schacht <birger@rantanplan.org>  Sun, 05 May 2019 11:27:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  debhelper-compat (= 12),
  libwayland-dev,
  libsystemd-dev,
- wayland-protocols,
- meson,
+ wayland-protocols (>=1.14),
+ meson (>=0.48),
  pkgconf,
  scdoc
 Standards-Version: 4.3.0

## swayidle 1.5

=== debian/changelog ===
swayidle (1.5-1) unstable; urgency=medium

  * New upstream release
   + Drop patch to fix version in buildfile
  * d/control:
   + Set maintainer field to new team address and add nicoo to
     uploaders
   + Point Vcs-* fields to the new repository in the swaywm-team
     salsa group
   + Bump standards version to 4.4.0

 -- Birger Schacht <birger@rantanplan.org>  Mon, 22 Jul 2019 21:58:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: swayidle
 Section: x11
 Priority: optional
-Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
-Uploaders: Birger Schacht <birger@rantanplan.org>
+Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Uploaders: Birger Schacht <birger@rantanplan.org>,
+           Nicolas Braud-Santoni <nicoo@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  libwayland-dev,
@@ -11,10 +12,10 @@
  meson (>=0.48),
  pkgconf,
  scdoc
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/swaywm/swayidle
-Vcs-Browser: https://salsa.debian.org/bisco-guest/swayidle
-Vcs-Git: https://salsa.debian.org/bisco-guest/swayidle.git
+Vcs-Browser: https://salsa.debian.org/swaywm-team/swayidle
+Vcs-Git: https://salsa.debian.org/swaywm-team/swayidle.git
 Rules-Requires-Root: no
 
 Package: swayidle

## swayidle 1.6

=== debian/changelog ===
swayidle (1.6-2) unstable; urgency=medium

  * Source only upload as-is. 

 -- Birger Schacht <birger@rantanplan.org>  Fri, 07 Feb 2020 11:36:04 +0100

swayidle (1.6-1) unstable; urgency=medium

  * New upstream release
  * Add d/gbp.conf
  * d/patches: Add 0002-Fix-the-version-in-the-build-file.patch
  * d/control: Bump standards version to 4.5.0 (no changes required)

 -- Birger Schacht <birger@rantanplan.org>  Tue, 04 Feb 2020 18:41:47 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  meson (>=0.48),
  pkgconf,
  scdoc
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/swaywm/swayidle
 Vcs-Browser: https://salsa.debian.org/swaywm-team/swayidle
 Vcs-Git: https://salsa.debian.org/swaywm-team/swayidle.git

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc|beta|alpha)[\d.]*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/swayidle-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/v?(\d\S+)\.tar\.gz/releases\/download\/$1\/swayidle-$1\.tar\.gz\.sig/ \
  https://github.com/swaywm/swayidle/releases .*/archive/v?(\d\S+)\.tar\.gz

## swayidle 1.7

=== debian/changelog ===
swayidle (1.7-1) unstable; urgency=medium

  * New upstream release
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on meson and wayland-protocols.
  * Bump debhelper-compat to 13
  * Bump standards-version to 4.5.1 (no changes required)
  * Update uploader address
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit and remove obsolete
    field Name
  * Drop patch to set version in meson file
  * Fix trailing whitespace in d/changelog
  * Fix regex in d/watch

 -- Birger Schacht <birger@debian.org>  Mon, 30 Aug 2021 19:12:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: x11
 Priority: optional
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
-Uploaders: Birger Schacht <birger@rantanplan.org>,
+Uploaders: Birger Schacht <birger@debian.org>,
            Nicolas Braud-Santoni <nicoo@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libwayland-dev,
  libsystemd-dev,
- wayland-protocols (>=1.14),
- meson (>=0.48),
+ wayland-protocols,
+ meson,
  pkgconf,
  scdoc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/swaywm/swayidle
 Vcs-Browser: https://salsa.debian.org/swaywm-team/swayidle
 Vcs-Git: https://salsa.debian.org/swaywm-team/swayidle.git

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc|beta|alpha)[\d.]*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/swayidle-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/v?(\d\S+)\.tar\.gz/releases\/download\/$1\/swayidle-$1\.tar\.gz\.sig/ \
  https://github.com/swaywm/swayidle/releases .*/archive/refs/tags/v?(\d\S+)\.tar\.gz

## swayidle 1.7.1

=== debian/changelog ===
swayidle (1.7.1-2) unstable; urgency=medium

  * d/rules: Set -Wno-error=format (Closes: #1004092)
  * Drop filenamemangle option from d/watch

 -- Birger Schacht <birger@debian.org>  Wed, 06 Apr 2022 16:37:30 +0200

swayidle (1.7.1-1) unstable; urgency=medium

  * New upstream release
  * Update copyright years in d/copyright
  * Bump standards-version to 4.6.0.1 (no changes required)

 -- Birger Schacht <birger@debian.org>  Thu, 20 Jan 2022 15:28:04 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  meson,
  pkgconf,
  scdoc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/swaywm/swayidle
 Vcs-Browser: https://salsa.debian.org/swaywm-team/swayidle
 Vcs-Git: https://salsa.debian.org/swaywm-team/swayidle.git

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc|beta|alpha)[\d.]*)$/$1~$2/,\
pgpsigurlmangle=s/archive\/v?(\d\S+)\.tar\.gz/releases\/download\/$1\/swayidle-$1\.tar\.gz\.sig/ \
  https://github.com/swaywm/swayidle/releases .*/archive/refs/tags/v?(\d\S+)\.tar\.gz

## swayidle 1.8.0

=== debian/changelog ===
swayidle (1.8.0-1) unstable; urgency=medium

  * New upstream version.

 -- Birger Schacht <birger@debian.org>  Mon, 05 Dec 2022 15:18:07 +0100

swayidle (1.7.1-3) unstable; urgency=medium

  * Fix d/watch file by switching to gitmode
  * Bump standards-version to 4.6.1.0 (no changes required)

 -- Birger Schacht <birger@debian.org>  Fri, 14 Oct 2022 21:22:53 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  meson,
  pkgconf,
  scdoc
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/swaywm/swayidle
 Vcs-Browser: https://salsa.debian.org/swaywm-team/swayidle
 Vcs-Git: https://salsa.debian.org/swaywm-team/swayidle.git

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag,uversionmangle=s/(\d)[_\.\-\+]?((rc|beta|alpha)[\d.]*)$/$1~$2/," \
 https://github.com/swaywm/swayidle refs/tags/v?(\d\S+)

## swayidle 1.9.0

=== debian/changelog ===
swayidle (1.9.0-1) unstable; urgency=medium

  * New upstream version.
  * Update debian/watch to version 5 format
  * Drop pristine-tar from debian/gbp.conf
  * Drop patch that adapts zsh-completion target folder
  * Drop superfluous file-pattern from debian/copyright
  * Bump Standards-Version in debian/control
  * Drop redundant Rules-Requires-Root field in debian/control

 -- Birger Schacht <birger@debian.org>  Sun, 09 Nov 2025 08:40:51 +0100

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,10 @@
  meson,
  pkgconf,
  scdoc
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/swaywm/swayidle
 Vcs-Browser: https://salsa.debian.org/swaywm-team/swayidle
 Vcs-Git: https://salsa.debian.org/swaywm-team/swayidle.git
-Rules-Requires-Root: no
 
 Package: swayidle
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS=-v
export DEB_CFLAGS_MAINT_APPEND=-Wno-error=format

include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
Version: 5

Source: https://github.com/swaywm/swayidle
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git
Pgp-Mode: gittag
